# Jenkins Centaur

This Ruby gem allows you to start your jenkins jobs in batch from command line.

## How to install it

```bash
  gem install jenkins-centaur
```

## How to run jenkins jobs

```bash
  jenkins-centaur run <yaml>
```

Your yaml file defines the list of jobs you want to run. Below is an example of it:

```yaml
server_url: https://jenkins.internal.xxxx.net
jobs:
  - name: job_name
    params:
      param1: value1
      param2: value2
```

## License

This code is free to use under the terms of the MIT license.
